# $Revision: 1.9 $ $Date: 2010/07/08 08:37:46 $

%define 	module	remoteD

Summary:	Python module that simplifies multiprocess and IPC programming
Summary(pl.UTF-8):	Moduł Pythona upraszczający programowanie wieloprocesowe i IPC
Name:		python-%{module}
Version:	0.8
Release:	4
License:	BSD-style
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/remoted/%{module}-%{version}.tar.gz
# Source0-md5:	50798875923c85a53872f94ead36c72f
URL:		http://remoted.neurokode.com/
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
remoteD is a Python module that make multiprocess programming and IPC
extremely simple. Each process has access to a shared datastore
maintained by a remoteD server. remoteD servers are auto created for
you when your first process creates a share stub.

%description -l pl.UTF-8
remoteD jest modułem Pythona szalenie ułatwiającym programowanie
wieloprocesowe i IPC. Każdy proces uzyskuje dostęp do dzielonego
zasobu danych utrzymywanego przez serwer remoteD. Serwery remoteD są
tworzone automatycznie, gdy pierwszy z procesów tworzy obszar
dzielony.

%package doc
Summary:	Documentation for remoteD module
Summary(pl.UTF-8):	Dokumentacja do modułu remoteD
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation files for remoteD Python module.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułu Pythona remoteD.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%{py_sitescriptdir}/remoteD.py[oc]

%files doc
%defattr(644,root,root,755)
%doc docs/index.html

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-remoteD.spec,v $
Revision 1.9  2010/07/08 08:37:46  arekm
- release 4

Revision 1.8  2008/10/14 06:42:59  arekm
- release 3

Revision 1.7  2008/10/03 18:00:26  arekm
- release 2

Revision 1.6  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.4  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.3  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/06/04 22:04:08  jpc
- cosmetics

Revision 1.1  2004/05/28 21:40:22  zboczuch
- initial

